#!/usr/bin/env python

import sqlite3

db_conn = sqlite3.connect('movielens.db')

SQL_MOVIES_TABLE = '''
CREATE TABLE IF NOT EXISTS Movies(
	MovieID  INTEGER NOT NULL,
	Title    TEXT    NOT NULL,
	Genres   TEXT    NOT NULL,
	PRIMARY  KEY(MovieID)
)
'''

with db_conn:
	curs = db_conn.cursor()
	curs.execute(SQL_MOVIES_TABLE)
	
with db_conn:
	curs = db_conn.cursor()
	for line in open('movies.dat'):
		movie_id, title, genres = line.strip().decode('utf-8', 'ignore').split('::')
	
		statement = '''
		INSERT OR REPLACE INTO Movies (MovieID, Title, Genres)
		VALUES (?, ?, ?)
		'''
		curs.execute(statement, (movie_id, title, genres))

with db_conn:
	curs = db_conn.cursor()
	statement = 'SELECT * FROM Movies WHERE Title LIKE ?'
	
	for row in curs.execute(statement, ('%Wars%',)):
		print row