#!/usr/bin/env python

import os
import random
import sqlite3

import tornado.ioloop
import tornado.web

PORT   = 9999
IMAGES = os.listdir('assets')

DB_CONN = sqlite3.connect('movielens.db')

class IndexHandler(tornado.web.RequestHandler):
	def get(self):
		title = self.get_argument('title', None)

		with DB_CONN:
			curs = DB_CONN.cursor()
			statement = 'select Title from Movies where Title like ?'
			movies    = curs.execute(statement, ('%{}%'.format(title),))
		
		self.render('searchit.html', movies=movies)

class PageHandler(tornado.web.RequestHandler):
	def get(self, first_name, last_name):
		self.write('First: {}, Last: {}'.format(first_name, last_name))

if __name__ == '__main__':
	application = tornado.web.Application([
		(r'/', IndexHandler),
		(r'/assets/(.*)', tornado.web.StaticFileHandler, {'path': 'assets'}),
	], debug=True)
	application.listen(PORT)
		
	tornado.ioloop.IOLoop.current().start()
